#/bin/bash

FORCE_FLAG="$1"

# Font
swift run -c release FontToolCore $FORCE_FLAG "./Fonts/sampleFontsAll.txt" \
 --extension-output-path "./Fonts/Generated" \
 --extension-name "UIFont" \
 --extension-suffix "GenAllScript"

# Color
swift run -c release ColorToolCore $FORCE_FLAG "./Colors/sampleColors1.txt" \
 --style all \
 --xcassets-path "./Colors/colors.xcassets" \
 --extension-output-path "./Colors/Generated/" \
 --extension-name "UIColor" \
 --extension-suffix "GenAllScript"

# Twine
swift run -c release Strings twine $FORCE_FLAG "./Twine/sampleStrings.txt" \
 --output-path "./Twine/Generated" \
 --langs "fr en en-us" \
 --default-lang "en" \
 --extension-output-path "./Twine/Generated"

# Strings
swift run -c release Strings stringium $FORCE_FLAG "./Strings/sampleStrings.txt" \
 --output-path "./Strings/Generated" \
 --langs "fr en en-us" \
 --default-lang "en" \
 --extension-output-path "./Strings/Generated" \
 --extension-name "String" \
 --extension-suffix "GenAllScript"
 
# Tags
swift run -c release Strings tags $FORCE_FLAG "./Tags/sampleTags.txt" \
  --lang "ium" \
 --extension-output-path "./Tags/Generated" \
 --extension-name "Tags" \
 --extension-suffix "GenAllScript"

# Images
